//Nav Bar

// Burger Menu

.menu-btn {
  width: 20px;
  height: 13px;
  position: relative;
  z-index: 2;
  overflow: hidden;
  display: none;
  margin-right: calc(1.5em * 5);
  @media (max-width: $laptop-min) {
    display: block;
  }
  @media (min-width: $mobile) and(max-width:$tablet-min) {
    margin-right: 0;
  }
  span {
    width: 20px;
    height: 1px;
    left: 20px;
    top: 30px;
    background: #000000;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    transition: all 0.5s;
    &:nth-of-type(2) {
      top: calc(50% - 5px);
    }
    &:nth-of-type(3) {
      top: calc(50% + 5px);
    }
  }
  &.active {
    span {
      &:nth-of-type(1) {
        display: none;
      }
      &:nth-of-type(2) {
        top: 50%;
        transform: translate(-50%, 0%) rotate(45deg);
      }
      &:nth-of-type(3) {
        top: 50%;
        transform: translate(-50%, 0%) rotate(-45deg);
      }
    }
  }
  @media (max-width: $laptop) {
    display: block;
  }
}

.menu-burger {
  display: none;
  position: absolute;
  transform: translateX(-100%);
  transition: transform 0.5s;
  &.active {
    transform: translateX(0);
    .nav_link {
      @include flex($direction: column);
      background-color: $white-bg;
      max-width: 100%;
    }
  }
}

//Logo
.logo {
  max-width: 220px;
  @media (max-width: $laptop) {
    max-width: 170px;
  }
  @media (max-width: $tablet) {
    max-width: 109px;
  }
}
//Nav Menu

.nav-menu {
  margin: 0 auto;
  max-width: 1440px;
  min-width: 320px;
  @include flex($justify: space-between);
  padding: 25px 0;
  @media (min-width: $mobile) and(max-width:$desktop) {
    padding: 20px 20px;
  }
  .nav {
    left: 100px;
    @media (max-width: $laptop) {
      padding: 0 25px;
    }
    @media (max-width: $laptop-min) {
      display: none;
    }
    &_links {
      @include flex($justify: space-between);
      width: 646px;
      @media (max-width: $laptop) {
        width: 550px;
      }
      .link {
        font-family: $font-primary;
        font-weight: 400;
        font-size: 14px;
        color: $secondary-color;
      }
    }
  }

  //Navbar basket
  .nav_shop {
    @include flex();
    .nav_basket {
      display: block;
      margin-right: 35px;
      width: 35px;
      height: 35px;
      @media (max-width: $laptop) {
        margin-right: 20px;
      }
      @media (max-width: $laptop-min) {
        margin-right: 15px;
        max-width: 30px;
      }
      @media (min-width: $mobile) and(max-width:$tablet-min) {
        margin-right: 0;
      }
    }
    .btn {
      font-size: 14px;
      line-height: 18px;
      padding: 10px 20px;
      @media (min-width: $mobile) and(max-width:$tablet-min) {
        display: none;
      }
    }
  }
}
